package com.devcom.acegi.news.client;

import java.util.Collection;
import java.util.Iterator;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import com.devcom.acegi.news.News;
import com.devcom.acegi.news.NewsManager;

public class NewsClient {

	private NewsManager manager;

	public static void main(String[] args) {
		ClassPathXmlApplicationContext factory = null;
		factory = new ClassPathXmlApplicationContext(
				new String[] { "applicationContext.xml" });

		NewsClient client = (NewsClient) factory.getBean("newsClient");
		client.showAllNews();

	}
	public void showAllNews() {
		Collection all = getManager().getAllNews();
		Iterator i = all.iterator();
		News n;
		while (i.hasNext()) {
			n = (News) i.next();
			System.out.println("Id : " + n.getId());
			System.out.println("Titre " + n.getTitle());
			System.out.println("Description " + n.getDescription());
			System.out.println("");
		}
	}
	public NewsManager getManager() {
		return manager;
	}
	public void setManager(NewsManager manager) {
		this.manager = manager;
	}

}
