package com.devcom.acegi.news.dao;

import java.util.Collection;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;
import com.devcom.acegi.news.News;

public class NewsDAOImpl extends HibernateDaoSupport implements NewsDAO {

	public Collection findAll() {
		return getHibernateTemplate().find("from News");
	}

	public News findByPrimaryKey(long key) {
		return (News)getHibernateTemplate().load(News.class,new Long(key));
	}

	public void save(News n) {
		getHibernateTemplate().save(n);		
	}

	public void delete(News n) {
		getHibernateTemplate().delete(n);
	}
}
