package com.devcom.acegi.news.server;

import java.util.Collection;

import com.devcom.acegi.news.News;
import com.devcom.acegi.news.NewsManager;
import com.devcom.acegi.news.dao.NewsDAO;

public class NewsManagerImpl implements NewsManager {

	private NewsDAO dao;
	
	public Collection getAllNews() {
		return getDao().findAll();
	}
	public void createNews(News n) {
		getDao().save(n);
	}
	public void deleteNews(News n) {
		getDao().delete(n);
	}
	public NewsDAO getDao() {
		return dao;
	}
	public void setDao(NewsDAO dao) {
		this.dao = dao;
	}
}
